net.sourceforge.pmd.lang.jsp.ast

## Interface JspNode

- All Superinterfaces:
    Node
  All Known Implementing Classes:
    AbstractJspNode, ASTAttribute, ASTAttributeValue, ASTCData, ASTCommentTag, ASTCompilationUnit, ASTContent, ASTDeclaration, ASTDoctypeDeclaration, ASTDoctypeExternalId, ASTElement, ASTElExpression, ASTHtmlScript, ASTJspComment, ASTJspDeclaration, ASTJspDeclarations, ASTJspDirective, ASTJspDirectiveAttribute, ASTJspDocument, ASTJspExpression, ASTJspExpressionInAttribute, ASTJspScriptlet, ASTText, ASTUnparsedText, ASTValueBinding

      public interface JspNode
      extends Node

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `childrenAccept(JspParserVisitor visitor, Object data)` Accept the visitor
    `Object` | `jjtAccept(JspParserVisitor visitor, Object data)` Accept the visitor

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData`

- - ### Method Detail

    - #### jjtAccept

          Object jjtAccept(JspParserVisitor visitor,
                         Object data)

      Accept the visitor. *

    - #### childrenAccept

          Object childrenAccept(JspParserVisitor visitor,
                              Object data)

      Accept the visitor. *

Copyright © 2002-2013 InfoEther. All Rights Reserved.